package com.uas.platform.b2b.temporary.model;

import java.io.Serializable;
import java.util.Date;

public class OfficeTaskInfo implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;


	/**
	 * id
	 */
	private Long id;

	/**
	 * 任务编号
	 */
	private String code;

	/**
	 * 任务描述
	 */
	private String detail;

	/**
	 * 记录人uu
	 */
	private Long recordercode;

	/**
	 * 记录人
	 */
	private String recorder;

	/**
	 * 执行人
	 */
	private String doman;

	/**
	 * 执行人编号
	 */
	private String domancode;
	
	/**
	 * 开始时间
	 */
	private Date startdate;
	
	/**
	 * 结束时间
	 */
	private Date enddate;
	
	/**
	 * 状态
	 */
	private String status;
	
	/**
	 * 状态码
	 */
	private String statuscode;

	/**
	 * 记录日期
	 */
	private Date recorddate;

	/**
	 * 企业uu
	 */
	private Long uu;

	/**
	 * 任务名称
	 */
	private String taskname;


	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getDetail() {
		return detail;
	}

	public void setDetail(String detail) {
		this.detail = detail;
	}

	public Long getRecordercode() {
		return recordercode;
	}

	public void setRecordercode(Long recordercode) {
		this.recordercode = recordercode;
	}

	public String getRecorder() {
		return recorder;
	}

	public void setRecorder(String recorder) {
		this.recorder = recorder;
	}

	public String getDoman() {
		return doman;
	}

	public void setDoman(String doman) {
		this.doman = doman;
	}

	public Date getStartdate() {
		return startdate;
	}

	public void setStartdate(Date startdate) {
		this.startdate = startdate;
	}

	public Date getEnddate() {
		return enddate;
	}

	public void setEnddate(Date enddate) {
		this.enddate = enddate;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getStatuscode() {
		return statuscode;
	}

	public void setStatuscode(String statuscode) {
		this.statuscode = statuscode;
	}

	public Date getRecorddate() {
		return recorddate;
	}

	public void setRecorddate(Date recorddate) {
		this.recorddate = recorddate;
	}

	public Long getUu() {
		return uu;
	}

	public void setUu(Long uu) {
		this.uu = uu;
	}

	public String getDomancode() {
		return domancode;
	}

	public void setDomancode(String domancode) {
		this.domancode = domancode;
	}

	public String getTaskname() {
		return taskname;
	}

	public void setTaskname(String taskname) {
		this.taskname = taskname;
	}

}
